gstreamer-backend not working properly

Questions and information about Crank Software's Storyboard Engine

Moderator: jamiev

gstreamer-backend not working properly

Postby Ray » Thu Jun 09, 2016 10:20 am

Hi,

I am uisng Storyboard Engine 4.2 under Ubuntu 14 64 bit machine. After launching gstreamer-backened with parameters, I start to simulate with Storyboard designer. The video is not playing and with the following error messages. How can I fix this? Thank you.
Attachments
gs_err.png
gs_err.png (139.62 KiB) Viewed 5190 times
Ray
 
Posts: 41
Joined: Wed Apr 06, 2016 3:32 pm

Re: gstreamer-backend not working properly

Postby rdowdall » Thu Jun 09, 2016 1:07 pm

Hello Ray

If you are executing on a 64 bit system, you will have to make sure that the 32 bit versions of the gstreamer 0.10 libraries are installed. So the first thing you will want to check is:

objdump -x /usr/bin/gst-inspect-0.10 | less

At the top of less, it should say that the architecture is i386. If it does not, then you will need to start installing the 32 bit version of the gstreamer components.

If it reports that gst-inspect-0.10 is a 32bit architecture, then please run:

gst-inspect-0.10 filesrc

and report what it says.

Thanks,
Rodney
rdowdall
 
Posts: 104
Joined: Mon Nov 02, 2009 9:46 pm

Re: gstreamer-backend not working properly

Postby Ray » Thu Jun 09, 2016 2:37 pm

Rodney,

The architecture is i386.
objdump.png
objdump.png (12.83 KiB) Viewed 5171 times


And here is the output of gst-inspect-0.10 filesrc:
output_of_gst_inspect.txt
(3.86 KiB) Downloaded 246 times
Ray
 
Posts: 41
Joined: Wed Apr 06, 2016 3:32 pm

Re: gstreamer-backend not working properly

Postby rdowdall » Thu Jun 09, 2016 3:08 pm

Hello Ray

I actually think it is 64 bit. Sorry, I should have posted what I would expect to see. This if from my 32 bit gst-inspect-0.10 on my 64 bit Linux system:

gst-inspect-0.10: file format elf32-i386
gst-inspect-0.10
architecture: i386, flags 0x00000112:


Also, your inspect is saying that it is looking in

/usr/lib/x86_64-linux-gnu/gstreamer-0.10/libgstcoreelements.so

for shared objects. Do you have a /usr/lib/i386-linux-gnu/gstreamer-0.10 directory?

I think you need to install the 32 bit versions of your gstreamer 0.10 components.

Thanks,
Rodney
rdowdall
 
Posts: 104
Joined: Mon Nov 02, 2009 9:46 pm


Return to Storyboard Engine

Who is online

Users browsing this forum: No registered users and 1 guest

cron